> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# [BETA] Disables an action set.

POST https://app.unleash-instance.example.com/api/admin/projects/{projectId}/actions/{id}/off

**Enterprise feature**

**[BETA]** This API is in beta state, which means it may change or be removed in the future.

Disables an existing action set, identified by its id.

Reference: https://docs.getunleash.io/api/disable-actions

## Authentication

- `Authorization` header (required) — API key needed to access this API
- `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format

## Request

### Path parameters

- `projectId` (string, required)
- `id` (string, required)

## Response

### 200

#/components/schemas/actionsSchema

- `id` (integer, required) — The ID of the action set.
- `project` (string, required) — The project that this action set belongs to.
- `createdAt` (string, required) — The date and time of when the action set was created.
- `createdByUserId` (integer, required) — The ID of the user that created this action set.
- `name` (string, required) — The name of the action set
- `actorId` (integer, required) — The id of the service account that will execute the action
- `actions` (list of object, required) — The list of actions to execute in sequential order when the action set is triggered.
  - `id` (integer, required) — The id of the action set
  - `createdAt` (string, required) — The date and time of when the action was created.
  - `createdByUserId` (integer, required) — The id of user that created this action set
  - `action` (string, required) — The name of the action to execute
  - `sortOrder` (integer, required) — The order in which the action should be executed
  - `executionParams` (map from string to any, optional, default: {}) — A map of parameters to pass to the action
- `match` (object, required) — Defines a matching rule for the signal that will trigger the action set
  - `source` (enum, required) — Match the source of the signal
    - Allowed values: `signal-endpoint`
  - `sourceId` (double, required) — Match the source id of the signal
  - `payload` (map from string to any, required) — Match the payload of the signal
- `description` (string, optional, nullable) — The description of the action set
- `enabled` (boolean, optional, default: true) — Whether this action set is enabled or not

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "id": 42,
  "project": "enterprise-app",
  "createdAt": "2024-04-10T09:15:00+02:00",
  "createdByUserId": 7,
  "name": "Disable Beta Features",
  "actorId": 15,
  "actions": [
    {
      "id": 101,
      "createdAt": "2024-04-10T09:15:00+02:00",
      "createdByUserId": 7,
      "action": "disable-feature",
      "sortOrder": 1,
      "executionParams": {
        "featureName": "beta-dashboard"
      }
    }
  ],
  "match": {
    "source": "signal-endpoint",
    "sourceId": 987,
    "payload": {
      "type": "error-rate-above-threshold"
    }
  },
  "description": "Disables beta features when error rate exceeds 5%",
  "enabled": false
}
```

**SDK Code**

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/off"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/off';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/off"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/off")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/off")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/off', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/off");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/off")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```